#!/bin/bash

date_tag=$(date +%Y.%m.%d)
iso_name="Melawy-Linux-${date_tag}-x86_64.iso"




cp -vf      "../work/iso/arch/pkglist.x86_64.txt"                                "../sf/${date_tag}/Melawy-Linux-${date_tag}-pkglist.txt"

echo "Sign ../sf/${date_tag}/${iso_name}.sig ../sf/${date_tag}/${iso_name}"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "../sf/${date_tag}/${iso_name}.sig" "../sf/${date_tag}/${iso_name}"


cd "../sf/${date_tag}"

echo "sha1sum ${iso_name}"
sha1sum     "${iso_name}"                                                      > "${iso_name}.sha1"

echo "sha256sum ${iso_name}"
sha256sum   "${iso_name}"                                                      > "${iso_name}.sha256"

notify-send -a "$(basename $(pwd)): Sign" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"

echo "Ready"
if [ "$status" == 0 ]; then
    sleep 5
    kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
fi
